# NetworkConstants

    public protocol NetworkConstants

Undocumented

- `saplingActivationHeight`

  The height of the first sapling block. When it comes to shielded transactions, we do not need to consider any blocks prior to this height, at all.

  #### Declaration

  Swift

      static var saplingActivationHeight: BlockHeight { get }

- `defaultDataDbName`

  Default Name for LibRustZcash data.db

  #### Declaration

  Swift

      static var defaultDataDbName: String { get }

- `defaultCacheDbName`

  Default Name for Compact Block caches db

  #### Declaration

  Swift

      static var defaultCacheDbName: String { get }

- `defaultPendingDbName`

  Default name for pending transactions db

  #### Declaration

  Swift

      static var defaultPendingDbName: String { get }

- `defaultDbNamePrefix`

  Undocumented

  #### Declaration

  Swift

      static var defaultDbNamePrefix: String { get }

- `feeChangeHeight`

  fixed height where the SDK considers that the ZIP-321 was deployed. This is a workaround for librustzcash not figuring out the tx fee from the tx itself.

  #### Declaration

  Swift

      static var feeChangeHeight: BlockHeight { get }

- `defaultFee(for:)` Default implementation

  Undocumented

  #### Default Implementation

  Undocumented

  #### Declaration

  Swift

      static func defaultFee(for height: BlockHeight) -> Int64

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.